/*
 * Copyright(C) 2012 orinos Co.,Ltd. All rights reserved.
 * http://www.orinos.co.jp/
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.aimluck.eip.modules.screens;

import net.sf.json.JSONArray;

import org.apache.jetspeed.services.logging.JetspeedLogFactoryService;
import org.apache.jetspeed.services.logging.JetspeedLogger;
import org.apache.turbine.util.RunData;
import org.apache.velocity.context.Context;

import com.aimluck.eip.account.AccountUserPaidFormData;
import com.aimluck.eip.common.ALEipConstants;

/**
 * ユーザーアカウントをJSONデータとして出力するクラスです。 <br />
 *
 */
public class AccountUserPaidFormJSONScreen extends ALJSONScreen {

  /** logger */
  private static final JetspeedLogger logger = JetspeedLogFactoryService
    .getLogger(AccountUserPaidFormJSONScreen.class.getName());

  @Override
  protected String getJSONString(RunData rundata, Context context)
      throws Exception {
    String result = new JSONArray().toString();
    String mode = this.getMode();
    try {

        if (ALEipConstants.MODE_INSERT.equals(mode)) {

        	AccountUserPaidFormData formData = new AccountUserPaidFormData();
        	formData.initField();
        	if (formData.doInsert(this, rundata, context)) {
        	} else {
              JSONArray json =
              JSONArray
                .fromObject(context.get(ALEipConstants.ERROR_MESSAGE_LIST));
            result = json.toString();
        	}
        } else if (ALEipConstants.MODE_UPDATE.equals(mode)) {
        	AccountUserPaidFormData formData = new AccountUserPaidFormData();
        	formData.initField();
        	if (formData.doUpdate(this, rundata, context)) {
        	} else {
              JSONArray json =
              JSONArray
                .fromObject(context.get(ALEipConstants.ERROR_MESSAGE_LIST));
            result = json.toString();
        	}
        }

    } catch (Exception e) {
      logger.error("[AccountUserFormJSONScreen]", e);
    }

    return result;
  }
}
